List top source URLs
curl --request GET \
--url https://api.zerorank.ai/api/v1/source-urls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zerorank.ai/api/v1/source-urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zerorank.ai/api/v1/source-urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 123,
"sourceUrl": "https://en.wikipedia.org/wiki/Customer_relationship_management",
"sourceDomain": "wikipedia.org",
"domainType": "reference",
"urlType": "article",
"totalUsage": 36,
"totalCitations": 42,
"uniqueChats": 30,
"usagePercentage": 4.1,
"lastUpdated": "2023-11-07T05:31:56Z",
"brandIds": [
123
],
"isAnalyzed": 1
}
],
"message": "Source URLs retrieved successfully"
}{
"success": false,
"message": "Invalid, revoked, or expired API key",
"code": "API_KEY_INVALID"
}{
"success": false,
"message": "API rate limit exceeded. Please slow down.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 30
}List top source URLs
Returns the exact pages AI engines cite most often. Add domain to see only the pages from one website.
GET
/
source-urls
List top source URLs
Authorizations
Send your workspace API key as Authorization: Bearer zr_live_….
Query Parameters
Only return pages from this website (for example wikipedia.org).
How many items to return (1–100). Defaults to 20.
Required range:
1 <= x <= 100⌘I